<!doctype html>
<html lang="en">
<head>
    <title>Bank Account Registration</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/css/bootstrap.min.css"
    integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/css/bootstrap-theme.min.css"
    integrity="sha384-6pzBo3FDv/PJ8r2KRkGHifhEocL+1X2rVCTTkUfGk7/0pbek5mMa1upzvWbrUbOZ" crossorigin="anonymous">
</head>
<body class="p-3 mb-2 bg-info text-dark">
    <div class = "container align-self-center">
        <div class = "row col-md-10 col-sm-offset-1">
            <div class = "panel panel-primary">
                <div class = "panel-heading text-center">
                    <h1>New Profile Registration</h1>
                </div>
                <div class = "panel panel-body">

                    <form #registerForm="ngForm" ngNativeValidate (ngSubmit)="onSubmit()" >

                        <div class = "form-group">
                            <div class = "row">
                                <div class = "col-lg-5">
                                    <label for="fname">First Name</label>
                                    <input required type="text" id = "fname" name ="fname"  class="form-control" placeholder ="Enter your first name.." pattern="[A-Za-z-]{1,}" [(ngModel)]="profileDetails.fname">
                                </div>
                                <div class = "col-lg-2">
                                    <label for="minit">Mid Init</label>
                                    <input required type="text" id = "minit" name ="minit"  class="form-control" placeholder ="mid init" pattern="[A-Za-z]{1,}" maxlength="1" [(ngModel)]="profileDetails.midInitial">
                                </div>
                                <div class = "col-lg-5">
                                    <label for="lname">Last Name</label>
                                    <input required type="text" id = "lname" name ="lname"  class="form-control" placeholder ="Enter your last name.." pattern="[A-Za-z-]{1,}" [(ngModel)]="profileDetails.lname">
                                </div>
                            </div>
                        </div>
                        <div class = "form group">
                            <div class = "row">
                                <div class = "col-lg-6">
                                    <label for="email">Email</label>
                                    <input required type="email" id = "email" name ="email" class="form-control" placeholder ="Enter your email address.."  [(ngModel)]="profileDetails.email">
                            </div>
                                <div class = "col-lg-6">
                                    <label for="phone">Phone Number</label>
                                    <input required type="text" id="phone" name ="phone" class="form-control" placeholder ="##########" pattern="[0-9]{10,}" maxlength="10"  [(ngModel)]="profileDetails.phone">
                                 </div>
                            </div>
                        </div>
                        <div class = "form-group">
                            <div class = "row">
                                <div class = "form group">
                                    <label for="street">Street</label>
                                    <input required type="text" id = "street" name ="street" class="form-control" placeholder ="Enter the street you live in.." pattern="[0-9A-Za-z\s.-]+"  [(ngModel)]="profileDetails.street">
                            </div>
                                <div class = "col-lg-4">
                                    <label for="city">City</label>
                                    <input required type="text" id = "city" name ="city"  class="form-control" placeholder ="Enter the city you live in.." pattern="[0-9A-Za-z\s-]+"  [(ngModel)]="profileDetails.city">
                                </div>
                                <div class = "col-lg-4">
                                    <label for="state">State</label>
                                    <input required type="text" id = "state" name ="state"  class="form-control" placeholder ="Enter the state you live in.." maxlength="2" pattern="[A-Za-z]{2,}"  [(ngModel)]="profileDetails.state">
                                </div>
                                <div class = "col-lg-4">
                                    <label for="zipcode">Zipcode</label>
                                    <input required type="text" id = "zipcode" name ="zipcode"  class="form-control" placeholder ="Enter your zipcode.." maxlength="5" pattern="[0-9]{5,}"  [(ngModel)]="profileDetails.zipcode">
                                </div>
                            </div>
                        </div>

                        <div class = "form group">
                            <label for="ssn">Social Security Number</label>
                            <input required type="password" id = "ssn" name ="ssn" class="form-control" placeholder ="#########" pattern="[0-9]{9,}"  maxlength="9" [(ngModel)]="profileDetails.ssNum">
                        </div>
                        <div class = "form group">
                            <label for="username">Username</label>
                            <input required type="text" id = "username" name ="username" class="form-control" placeholder ="Set up your username.." pattern="[0-9A-Za-z_]{1,}" maxlength="30"  [(ngModel)]="profileDetails.uname">
                        </div>
                        <div class = "form group">
                            <label for="password">Password</label>
                            <input required type="password" id = "password" name ="password" class="form-control" placeholder ="Set up your password.."   maxlength="30" [(ngModel)]="profileDetails.pass">
                        </div>
                        <div class = "form group">
                            <label for="passwordc">Confirm Your Password</label>
                            <input required type="password" id = "passwordc" name ="passwordc" class="form-control" placeholder ="confirm your password"   maxlength="30" [(ngModel)]="profileDetails.passConfirm">
                        </div>

                        <div class = "submit">
                            <input class="btn btn-primary" type="submit" value="Submit">
                        </div>
                    </form>
                </div>
                <div class = "panel panel-footern text-right">

                </div>
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/js/bootstrap.min.js"
    integrity="sha384-aJ21OjlMXNL5UyIl/XNwTMqvzeRMZH2w8c5cRVpzpU8Y5bApTppSuUkhZXN0VxHd" crossorigin="anonymous"></script>
</body>
</html>
